package com.redxun.knowledge.analysis.entity.dao;
/**
 * <pre>
 *
 * 描述：业务--搜索服务分词日志表实体类定义
 * 表:KM_SEARCH_PARTICIPLE_LOG
 * 作者：Zizg
 * 邮箱: ray@redxun.cn
 * 日期:2023-03-17 10:45:30
 * 版权：
 * </pre>
 */

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import java.util.ArrayList;
import java.util.List;


@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_SEARCH_PARTICIPLE_LOG")
public class SearchParticipleLog  extends BaseExtEntity<String> {

    @JsonCreator
    public SearchParticipleLog() {
    }

    //主键
    @TableId(value = "PK_ID",type = IdType.INPUT)
	private String pkId;

    //搜索服务分词
    @TableField(value = "PARTICIPLE")
    private String participle;
    //搜索人ID
    @TableField(value = "USER_ID")
    private String userId;



    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId=pkId;
    }


    /**
    生成子表属性的Array List
    */

}



