package com.redxun.knowledge.analysis.controller;


import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.redxun.knowledge.analysis.entity.dao.PvLog;
import com.redxun.knowledge.analysis.service.PvLogServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/api-knowledge/analysis/pvLog")
@Api(tags = "业务--系统页面访问量日志表")
@ClassDefine(title = "业务--系统页面访问量日志表", alias = "PvLogController", path = "/api-knowledge/analysis/pvLog", packages = "analysis", packageName = "子系统名称")
public class PvLogController extends BaseController<PvLog> {

    @Autowired
    PvLogServiceImpl pvLogService;


    @Override
    public BaseService getBaseService() {
        return pvLogService;
    }

    @Override
    public String getComment() {
        return "业务--系统页面访问量日志表";
    }

}

